Name:           libtheora
Version:        1.0
Release:        0.fdr.0.1.alpha3.1
Summary:        The Theora Video Compression Codec.

Group:          System Environment/Libraries
License:        BSD-like
URL:            http://www.theora.org/
Source:         http://www.theora.org/files/%{name}-%{version}alpha3.tar.gz
Patch:          libtheora-1.0alpha3-include.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libogg-devel >= 2:1.1
BuildRequires:  libvorbis-devel >= 1:1.0.1
BuildRequires:  SDL-devel

%description
Theora is Xiph.Org's first publicly released video codec, intended
for use within the Ogg's project's Ogg multimedia streaming system.
Theora is derived directly from On2's VP3 codec; Currently the two are
nearly identical, varying only in encapsulating decoder tables in the
bitstream headers, but Theora will make use of this extra freedom
in the future to improve over what is possible with VP3.

%package        devel
Summary:        Development tools for Theora applications.  
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The libtheora-devel package contains the header files and documentation
needed to develop applications with Ogg Theora.

%prep
%setup -q -n %{name}-%{version}alpha3
%patch -p1 -b .include-patch

%build
%configure --enable-shared
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_libdir}/libtheora.so.0.0.0
%{_datadir}/doc/%{name}-%{version}alpha3/spec.html
%{_datadir}/doc/%{name}-%{version}alpha3/spec.py
%{_datadir}/doc/%{name}-%{version}alpha3/vp3-format.txt

%files devel
%defattr(-,root,root,-)
%{_libdir}/libtheora.a
%{_libdir}/libtheora.so
%{_includedir}/theora/theora.h

%changelog
* Mon Mar 29 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.fdr.0.1.alpha3: initial release
